aboutsummaryrefslogtreecommitdiffstats
path: root/main/ncurses/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-06-04 07:18:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-06-05 13:56:19 +0000
commit822de4bc787269b14d0652fd211ae43dd8706254 (patch)
tree2114181730021006df0898b20eb5efb79c05a141 /main/ncurses/APKBUILD
parent11377c9afac8bf9aced1756910eb31cc80dce565 (diff)
downloadaports-822de4bc787269b14d0652fd211ae43dd8706254.tar.gz
aports-822de4bc787269b14d0652fd211ae43dd8706254.tar.bz2
aports-822de4bc787269b14d0652fd211ae43dd8706254.tar.xz
main/ncurses: add patch for gcc5
Diffstat (limited to 'main/ncurses/APKBUILD')
-rw-r--r--main/ncurses/APKBUILD22
1 files changed, 17 insertions, 5 deletions
diff --git a/main/ncurses/APKBUILD b/main/ncurses/APKBUILD
index 21e0fb1a16..6bd603e1c3 100644
--- a/main/ncurses/APKBUILD
+++ b/main/ncurses/APKBUILD
@@ -1,19 +1,26 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=ncurses
pkgver=5.9
-pkgrel=3
+pkgrel=4
pkgdesc="Console display library"
url="http://www.gnu.org/software/ncurses/"
arch="all"
license=MIT
depends=
-source="ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+source="ftp://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz
+ ncurses-5.9-gcc-5.patch
+ "
subpackages="$pkgname-dev $pkgname-doc $pkgname-terminfo-base:base
$pkgname-terminfo $pkgname-widec-libs:widec $pkgname-libs"
prepare() {
cd "$srcdir/$pkgname-$pkgver"
update_config_sub || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
@@ -53,10 +60,10 @@ package() {
make -j1 -C ncursesw-build DESTDIR="$pkgdir" install.libs \
install.includes install.man || return 1
-
+
# Install basic terms in /etc/terminfo
for i in ansi console dumb linux rxvt screen sun vt52 vt100 vt102 \
- vt200 vt220 xterm xterm-color xterm-xfree86; do
+ vt200 vt220 xterm xterm-color xterm-xfree86; do
local termfile=$(find "$pkgdir"/usr/share/terminfo/ -name "$i" 2>/dev/null)
local basedir=$(basename $(dirname "$termfile"))
@@ -97,4 +104,9 @@ base() {
mv "$pkgdir"/etc/terminfo "$subpkgdir"/etc/
}
-md5sums="8cb9c412e5f2d96bc6f459aa8c6282a1 ncurses-5.9.tar.gz"
+md5sums="8cb9c412e5f2d96bc6f459aa8c6282a1 ncurses-5.9.tar.gz
+57f4cd0cc0c0a42a5ddb2167f9546d72 ncurses-5.9-gcc-5.patch"
+sha256sums="9046298fb440324c9d4135ecea7879ffed8546dd1b58e59430ea07a4633f563b ncurses-5.9.tar.gz
+6d40c4841e031fbb8b1ea6691b112aabc398d23b20b4458ec0b6eb78c33af88d ncurses-5.9-gcc-5.patch"
+sha512sums="d7c5e54b6d4d8b9211f0006ca8786f7609d180cc1aaebf4f25e7e35e12959779cf66447359a602daed625621ca32b0d910d67aef3eb8b6fdc3c373819a88faa1 ncurses-5.9.tar.gz
+200388ee1e8d8f656620d067e8993f79a50ed1a6ebee41ce8bd32b2a61cbe10c93347e2604229b58299c457640b247261a4d05afe60802dd4cce80d17bc2f10c ncurses-5.9-gcc-5.patch"